Public Member Functions

# MusicDriver Class Reference

Driver for all music playback. More...

`#include <music_driver.hpp>`

Inheritance diagram for MusicDriver:

## Public Member Functions
virtual void | PlaySong (const char *filename)=0
| Play a particular song.
virtual void | StopSong ()=0
| Stop playing the current song.
virtual bool | IsSongPlaying ()=0
| Are we currently playing a song?
virtual void | SetVolume (byte vol)=0
| Set the volume, if possible.

## Detailed Description

Driver for all music playback.

Definition at line 18 of file music_driver.hpp.

## Member Function Documentation

virtual bool MusicDriver::IsSongPlaying | ( |  | ) | `[pure virtual]`

Are we currently playing a song?

Returns:
  True if a song is being played.

Implemented in MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_LibTimidity, MusicDriver_Null, MusicDriver_OS2, MusicDriver_QtMidi, and MusicDriver_Win32.

Referenced by LoadIntroGame().

virtual void MusicDriver::PlaySong | ( | const char * | filename | ) | `[pure virtual]`

Play a particular song.

Parameters:

  | filename | The name of file with the song to play.

Implemented in MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_LibTimidity, MusicDriver_Null, MusicDriver_OS2, MusicDriver_QtMidi, and MusicDriver_Win32.

virtual void MusicDriver::SetVolume | ( | byte | vol | ) | `[pure virtual]`

Set the volume, if possible.

Parameters:

  | vol | The new volume.

Implemented in MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_LibTimidity, MusicDriver_Null, MusicDriver_OS2, MusicDriver_QtMidi, and MusicDriver_Win32.

The documentation for this class was generated from the following file:

- src/music/music_driver.hpp